OpenTTD GameScript API: Data Fields

OpenTTD GameScript API 15.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- Import() : GSController
- INDCTL_EXTERNAL_PROD_LEVEL : GSIndustry
- INDCTL_NO_CLOSURE : GSIndustry
- INDCTL_NO_PRODUCTION_DECREASE : GSIndustry
- INDCTL_NO_PRODUCTION_INCREASE : GSIndustry
- IndustryCargoesWidgets : GSWindow
- IndustryControlFlags : GSIndustry
- IndustryDirectoryWidgets : GSWindow
- INDUSTRYTYPE_TOWN : GSIndustryType
- INDUSTRYTYPE_UNKNOWN : GSIndustryType
- IndustryViewWidgets : GSWindow
- Info() : GSLog
- Infrastructure : GSInfrastructure
- INFRASTRUCTURE_AIRPORT : GSInfrastructure
- INFRASTRUCTURE_CANAL : GSInfrastructure
- INFRASTRUCTURE_RAIL : GSInfrastructure
- INFRASTRUCTURE_ROAD : GSInfrastructure
- INFRASTRUCTURE_SIGNALS : GSInfrastructure
- INFRASTRUCTURE_STATION : GSInfrastructure
- Insert() : GSPriorityQueue
- InsertConditionalOrder() : GSOrder
- InsertOrder() : GSOrder
- INVALID_DISTRIBUTION_TYPE : GSCargo
- IsActionAvailable() : GSTown
- IsAirportClosed() : GSStation
- IsAirportInformationAvailable() : GSAirport
- IsAirportTile() : GSAirport
- IsArticulated() : GSEngine, GSVehicle
- IsAwarded() : GSSubsidy
- IsBridgeTile() : GSBridge
- IsBuildable() : GSEngine, GSTile
- IsBuildableRectangle() : GSTile
- IsBuiltOnWater() : GSIndustry, GSIndustryType
- IsBuoyTile() : GSMarine
- IsCanalTile() : GSMarine
- IsCargoAccepted() : GSIndustry
- IsCity() : GSTown
- IsCoastTile() : GSTile
- IsCompleted() : GSGoal
- IsConditionalOrder() : GSOrder
- IsCurrentOrderPartOfOrderList() : GSOrder
- IsDeity() : GSCompanyMode
- IsDesertTile() : GSTile
- IsDeveloperOnly() : GSInfo
- IsDisabledVehicleType() : GSGameSettings
- IsDockTile() : GSMarine
- IsDriveThroughRoadStationTile() : GSRoad
- IsEmpty() : GSList, GSPriorityQueue
- IsEnd() : GSList
- IsEventWaiting() : GSEventController
- IsFarmTile() : GSTile
- IsFreight() : GSCargo
- IsGotoDepotOrder() : GSOrder
- IsGotoStationOrder() : GSOrder
- IsGotoWaypointOrder() : GSOrder
- IsHalftileSlope() : GSTile
- IsHangarTile() : GSAirport
- IsInDepot() : GSVehicle
- IsLevelCrossingTile() : GSRail
- IsLoaded() : GSNewGRF
- IsLockTile() : GSMarine
- IsMine() : GSCompany
- IsMultiplayer() : GSGame
- IsOpen() : GSWindow
- IsPaused() : GSGame
- IsPrimaryVehicle() : GSVehicle
- IsProcessingIndustry() : GSIndustryType
- IsRailDepotTile() : GSRail
- IsRailStationTile() : GSRail
- IsRailTile() : GSRail
- IsRailTypeAvailable() : GSRail
- IsRailWaypointTile() : GSRail
- IsRawIndustry() : GSIndustryType
- IsRefitOrder() : GSOrder
- IsRiverTile() : GSTile
- IsRoadDepotTile() : GSRoad
- IsRoadStationTile() : GSRoad
- IsRoadTile() : GSRoad
- IsRoadTypeAvailable() : GSRoad
- IsRockTile() : GSTile
- IsRoughTile() : GSTile
- IsSeaTile() : GSTile
- IsSnowTile() : GSTile
- IsStationTile() : GSTile
- IsSteepSlope() : GSTile
- IsStoppedInDepot() : GSVehicle
- IsTunnelTile() : GSTunnel
- IsValid() : GSCompanyMode, GSGameSettings
- IsValidAirportType() : GSAirport
- IsValidBaseStation() : GSBaseStation
- IsValidBridge() : GSBridge
- IsValidCargo() : GSCargo
- IsValidConditionalOrder() : GSOrder
- IsValidDate() : GSDate
- IsValidEngine() : GSEngine
- IsValidGoal() : GSGoal
- IsValidGoalDestination() : GSGoal
- IsValidGroup() : GSGroup
- IsValidIndustry() : GSIndustry
- IsValidIndustryType() : GSIndustryType
- IsValidLeagueTable() : GSLeagueTable
- IsValidLeagueTableElement() : GSLeagueTable
- IsValidObjectType() : GSObjectType
- IsValidSign() : GSSign
- IsValidStation() : GSStation
- IsValidStoryPage() : GSStoryPage
- IsValidStoryPageButtonColour() : GSStoryPage
- IsValidStoryPageButtonCursor() : GSStoryPage
- IsValidStoryPageButtonFlags() : GSStoryPage
- IsValidStoryPageElement() : GSStoryPage
- IsValidStoryPageElementType() : GSStoryPage
- IsValidSubsidy() : GSSubsidy
- IsValidTile() : GSMap
- IsValidTown() : GSTown
- IsValidTownEffect() : GSCargo
- IsValidVehicle() : GSVehicle
- IsValidVehicleOrder() : GSOrder
- IsValidWaypoint() : GSWaypoint
- IsVoidOrder() : GSOrder
- IsWagon() : GSEngine
- IsWaterDepotTile() : GSMarine
- IsWaterTile() : GSTile
- IsWithinTownInfluence() : GSStation, GSTile, GSTown